\documentclass[a4paper,12pt]{book}
\usepackage[utf8]{inputenc} % Required for inputting international characters
\usepackage[T1]{fontenc} % Output font encoding for international characters
\usepackage[symbol]{footmisc}
\usepackage{authblk}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{amsfonts}
\usepackage{wasysym}
\usepackage{mathpazo} % Use the Palatino font by default
\usepackage{mathtools}
\usepackage{multicol}
\usepackage{graphicx}
\usepackage{algorithm}% http://ctan.org/pkg/algorithm
\usepackage{algpseudocode}% http://ctan.org/pkg/algorithmicx
\usepackage{varwidth}% http://ctan.org/pkg/varwidth
\usepackage{pifont}
\usepackage{caption}
\usepackage{subcaption}
\usepackage{color}
\usepackage{tikz}
\usepackage{pgfplots}
\usepackage{forest}
\usepackage{wrapfig}
\usepackage{makecell}
\usepackage{textcomp}
\usepackage{resizegather}
\usepackage{xcolor}
\usepackage{relsize}
\usepackage{color, colortbl}
\usepackage{tabularx}
\usepackage{textcomp}
\usepackage{url}
\usepackage{diagbox}
\usepackage{xparse}
\usepackage{siunitx}
%\usepackage{natbib}
\usepackage{booktabs}
\usepackage{changepage}
\usepackage{enumitem}
\usepackage{gensymb}
\usepackage[style=alphabetic, citestyle=alphabetic, backend=biber, url=false, doi=false,eprint=false]{biblatex}
\usepackage[linktocpage=true]{hyperref}
\usepackage{rotating}
\usepackage{xparse}
\usepackage{smartdiagram}
\usepackage{csvsimple}
\usepackage{longtable}
\usepackage[export]{adjustbox}

\ExecuteBibliographyOptions{parentracker=false}

\usetikzlibrary{arrows, shapes, positioning}

\DeclarePairedDelimiter\ceil{\lceil}{\rceil}
\DeclarePairedDelimiter\floor{\lfloor}{\rfloor}

\newtheorem{theorem}{Theorem}[section]
\newtheorem{corollary}{Corollary}[theorem]
\newtheorem{definition}{Definition}[theorem]
\newtheorem{lemma}[theorem]{Lemma}
\newtheorem{example}{Example}[section]

\algnewcommand{\IIf}[1]{\State\algorithmicif\ #1\ \algorithmicthen}
\algnewcommand{\EndIIf}{\unskip\ \algorithmicend\ \algorithmicif}

\newcommand{\Break}{\State \textbf{break} }

\NewDocumentCommand{\INTERVALINNARDS}{ m m }{
	#1 {,} #2
}
\NewDocumentCommand{\interval}{ s m >{\SplitArgument{1}{,}}m m o }{
	\IfBooleanTF{#1}{
		\left#2 \INTERVALINNARDS #3 \right#4
	}{
		\IfValueTF{#5}{
			#5{#2} \INTERVALINNARDS #3 #5{#4}
		}{
			#2 \INTERVALINNARDS #3 #4
		}
	}
}

\graphicspath{{Figures/}}

%\bibliographystyle{apalike}
\addbibresource{references.bib}
\addbibresource{self.bib}

\usepackage{marginnote}
\usepackage{todonotes}
\usepackage{fancyhdr}
\usepackage{lastpage}
\usepackage{titlesec}
\usepackage{lmodern}
\usepackage{microtype}
\usepackage{color}
\usepackage{setspace}
%\usepackage{makeidx}
\usepackage{justyle}
\usepackage{blindtext}

\begin{document}

\title{The Thesis Title Goes Here}
\author{Author Name}
\supervisor{Prof. Supervisor Name}
\maketitle
\frontmatter

\tableofcontents

\cleardoublepage
\phantomsection
\addcontentsline{toc}{chapter}{\listfigurename}
\listoffigures

\cleardoublepage
\phantomsection
\addcontentsline{toc}{chapter}{\listtablename}
\listoftables

\cleardoublepage
\newpage

\cleardoublepage
\newpage

\begin{abstract}
\blindtext[2]
\end{abstract}

\cleardoublepage

\mainmatter

\renewcommand{\headrulewidth}{1.0pt}

\include{Chapters/introduction}
\include{Chapters/related} 
\include{Chapters/conclusion} 

\backmatter
% bibliography, glossary and index would go here.

\printbibliography[title={References}]

%\printindex

\end{document}